Skip to main content

Edit Modfile

PUT 

/games/:game-id/mods/:mod-id/files/:file-id

Edit the details of a published file. If you want to update fields other than the changelog, version and active status, you should add a new file instead. Successful request will return updated Modfile Object.

tip

Rules engine applies here.

info

Cross-platform submissions are supported on this endpoint. If the parent game supports cross-platform modfiles, and this modfile is approved, making a request with the active parameter will set the modfile live on all approved platforms.

Request​

Error Codes​

Status CodeError RefDescription
40315007

The authenticated user does not have permission to update modfiles for the specified mod, ensure the user is a team manager or administrator.

See here for more details about errors.

Responses​

Update Successful